Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLText Class Reference
[VRML97 classes]

The SoVRMLText class is used to represent text in a scene. More...

`#include <Inventor/VRMLnodes/SoVRMLText.h>`

Inheritance diagram for SoVRMLText:

List of all members.

## Public Methods
| SoVRMLText (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)
virtual void | notify (SoNotList *list)
virtual SoChildList * | getChildren (void) const
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFString | string
SoSFNode | fontStyle
SoSFFloat | maxExtent
SoMFFloat | length
## Protected Methods
virtual | ~SoVRMLText ()
virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
virtual void | generatePrimitives (SoAction *action)

## Detailed Description

The SoVRMLText class is used to represent text in a scene.

FIXME: implement and document

## Constructor & Destructor Documentation

SoVRMLText::SoVRMLText | ( | void |  | ) |

| Constructor.

SoVRMLText::~SoVRMLText | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLText::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLGeometry.

void SoVRMLText::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoShape.

void SoVRMLText::getPrimitiveCount | ( | SoGetPrimitiveCountAction * | action | ) | `[virtual]`

| Action method for the SoGetPrimitiveCountAction. Calculates the number of triangle, line segment and point primitives for the node and adds these to the counters of the action. Nodes influencing how geometry nodes calculates their primitive count also overrides this method to change the relevant state variables. Reimplemented from SoShape.

void SoVRMLText::notify | ( | SoNotList * | list | ) | `[virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoVRMLGeometry.

SoChildList * SoVRMLText::getChildren | ( | void |  | ) | const`[virtual]`

| Returns list of children for this node. Reimplemented from SoVRMLGeometry.

void SoVRMLText::computeBBox | ( | SoAction * | action,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected, virtual]`

| Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box. The bounding box and center point should be calculated and returned in the local coordinate system. The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().) The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry. Implements SoShape.

void SoVRMLText::generatePrimitives | ( | SoAction * | action | ) | `[protected, virtual]`

| The method implements action behavior for shape nodes for SoCallbackAction. It is invoked from SoShape::callback(). (Subclasses should not override SoNode::callback().) The subclass implementations uses the convenience methods SoShape::beginShape(), SoShape::shapeVertex(), and SoShape::endShape(), with SoDetail instances, to pass the primitives making up the shape back to the caller. Implements SoShape.

## Member Data Documentation

SoMFString SoVRMLText::string

| The strings. Empty by default.

SoSFNode SoVRMLText::fontStyle

| Can contain an SoVRMLFontStyle node.

SoSFFloat SoVRMLText::maxExtent

| Maximum object space extent of longest string.

SoMFFloat SoVRMLText::length

| Length of each string in the local coordinate system.

The documentation for this class was generated from the following files:

- SoVRMLText.h
- Text.cpp